﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Crossover {
  using HeuristicLab.Core;
  using HeuristicLab.Optimization;
  using HeuristicLab.Problems.ProgramSynthesis.Push.Encoding;

  public interface IPlushCrossover : IPlushOperator, ICrossover {
    ILookupParameter<ItemArray<PlushVector>> ParentsParameter { get; }
    ILookupParameter<PlushVector> ChildParameter { get; }
  }
}
