﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Manipulator {
  using HeuristicLab.Core;
  using HeuristicLab.Data;
  using HeuristicLab.Optimization;
  using HeuristicLab.Problems.ProgramSynthesis.Base.Erc;
  using HeuristicLab.Problems.ProgramSynthesis.Push.Configuration;
  using HeuristicLab.Problems.ProgramSynthesis.Push.Encoding;

  public interface IPlushManipulator : IPlushOperator, IManipulator {
    IValueLookupParameter<PercentValue> InInstructionProbabilityParameter { get; }
    IValueLookupParameter<IReadOnlyErcOptions> ErcOptionsParameter { get; }
    IValueLookupParameter<IReadOnlyExpressionsConfiguration> InstructionsParameter { get; }
    ILookupParameter<PlushVector> PlushVectorParameter { get; }
  }
}
